| Home | Libraries | People | FAQ | More

#### grammar::dec_octet_rule

Match a decimal octet.

##### Synopsis

Defined in header `<boost/url/grammar/dec_octet_rule.hpp>`

    constexpr implementation-defined dec_octet_rule;

##### Description

A decimal octet is precise way of saying a number from 0 to 255. These are commonly used in IPv4 addresses.

##### Value Type

    using value_type = unsigned char;

##### Example

Rules are used with the function `parse`.

    system::result< unsigned char > rv = parse( "255" , dec_octet_rule );

##### BNF

    dec-octet   = DIGIT                 ; 0-9
                / %x31-39 DIGIT         ; 10-99
                / "1" 2DIGIT            ; 100-199
                / "2" %x30-34 DIGIT     ; 200-249
                / "25" %x30-35          ; 250-255

##### Specification

- 3.2.2. Host (rfc3986)

##### See Also

`parse`.

Convenience header `<boost/url/grammar.hpp>`